// CkAuthUtil.h: interface for the CkAuthUtil class.
//
//////////////////////////////////////////////////////////////////////

// This header is generated for Chilkat 10.1.3

#define _CkVersion 10.1.3

#ifndef _CkAuthUtil_H
#define _CkAuthUtil_H
	
#include "chilkatDefs.h"
#include "CkString.h"
#include "CkMultiByteBase.h"




#if !defined(__sun__) && !defined(__sun)
#pragma pack (push, 8)
#endif


#undef Copy

// CLASS: CkAuthUtil
class CK_VISIBLE_PUBLIC CkAuthUtil  : public CkMultiByteBase
{
    private:

	// Don't allow assignment or copying these objects.
	CkAuthUtil(const CkAuthUtil &);
	CkAuthUtil &operator=(const CkAuthUtil &);

    public:
	CkAuthUtil(void);
	virtual ~CkAuthUtil(void);

	static CkAuthUtil *createNew(void);
	static CkAuthUtil *createNew2(int progLang);
	void CK_VISIBLE_PRIVATE inject(void *impl);

	// May be called when finished with the object to free/dispose of any
	// internal resources held by the object. 
	void dispose(void);

	
		
	

	// BEGIN PUBLIC INTERFACE

	// ----------------------
	// Properties
	// ----------------------


	// ----------------------
	// Methods
	// ----------------------
	// Note: The Walmart REST API no longer users signatures for authentication. OAuth
	// is now used. This method is deprecated and should no longer be used.
	// 
	// Generates a Walmart authentication signature for Walmart REST API calls. Returns
	// a JSON string that contains both the WM_SEC_AUTH_SIGNATURE and WM_SEC.TIMESTAMP.
	// 
	bool WalmartSignature(const char *requestUrl, const char *consumerId, const char *privateKey, const char *requestMethod, CkString &outStr);

	// Note: The Walmart REST API no longer users signatures for authentication. OAuth
	// is now used. This method is deprecated and should no longer be used.
	// 
	// Generates a Walmart authentication signature for Walmart REST API calls. Returns
	// a JSON string that contains both the WM_SEC_AUTH_SIGNATURE and WM_SEC.TIMESTAMP.
	// 
	const char *walmartSignature(const char *requestUrl, const char *consumerId, const char *privateKey, const char *requestMethod);





	// END PUBLIC INTERFACE


};
#if !defined(__sun__) && !defined(__sun)
#pragma pack (pop)
#endif
	
#endif
